Subject: Date command bug

From: Raymond Pete <[email-masked]>
Date: Thu, 4 Nov 2010 19:39:36 -0400

Hi,
I believe I have come across a small bug in the date command when daylight
savings time is in the process of being run.

Example:
    date --set "7 NOV 2010"
 -->Sun Nov  7 00:00:01 EDT 2010

    date --date="+1 day"
-->Sun Nov  7 23:00:40 EST 2010

It would appear in Eastern time zone case there is a small 2 hour window of
error here whereby the date command has set the zone before it is actually
supposed to be set. I have seen this with all time zone shifts. Noticed
first last weekend when BST went to GMT.

Could be a known bug.. if so, sorry to trouble you guys.

Best Regards,

Ray